program main
  use wei_greens_mod
  implicit none

  integer :: stat

  stat = wei_greens_compute_init()

  stat = wei_greens_compute_oper()

  stat = wei_greens_compute_clos() 


end program








